Subject: Re: First web interface and service API draft

From: Christian Meder <[email-masked]>
Date: Fri, 22 Apr 2005 15:44:28 +0200

On Fri, 2005-04-22 at 13:37 +0100, El Draper wrote:
> Christian Meder wrote:
> 
> >Comments ? Ideas ? Other feedback ?
> >
> >  
> >
> 
> Hi guys,
> 
> New around these parts, so be gentle :-)
> 
> I would like to suggest the idea of a SOAP interface. If we are talking 
> about a true service orientated API, then a way of calling a uri and 
> having it return a nice SOAP packet with the return data in it would be 
> great. If we ensured compliance with web service standards, then it 
> would then mean anyone could write themselves a client desktop based 
> program, a web interface, or any utility command line tools (in Java, 
> .net, whatever they want, and for whatever platform), that could 
> communicate with the web service and retrieve relevant data. You'd then 
> have a true service interface into a Git repository. Seeing as how the 
> idea of returning XML has already come up, I don't think it would be a 
> stretch to extend the web interface to returning web service compliant 
> SOAP packets in order to return data.

Ok, I should've known we get into this being a Web Java guy by
profession ;-)

Right now I'd like to concentrate more on a RESTful approach
http://www.xfront.com/REST-Web-Services.html

I'm concentrating on getting a clean and simple API for mere mortals and
developers alike. SOAP is likely further down on my list. But I
certainly will take patches ;-)

			Christian

-- 
Christian Meder, email: [email-masked]

The Way-Seeking Mind of a tenzo is actualized 
by rolling up your sleeves.

                (Eihei Dogen Zenji)